Bug 283416 - Configuration/MIME Types: List of supported types is in random order [patch]
Summary: Configuration/MIME Types: List of supported types is in random order [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Views (show other bugs)
Version: 2.3.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2011-10-05 20:11 UTC by Michael G. Hansen
Modified: 2017-08-10 10:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5.0


Attachments
Sorted the supported types alphabetically (1.18 KB, patch)
2011-12-21 12:15 UTC, Islam Wazery
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael G. Hansen 2011-10-05 20:11:51 UTC
Version:           2.3.0 (using KDE 4.6.2) 
OS:                Linux

In the configuration dialog under the tab "MIME Types", a click on "Currently-supported types" presents a list of currently supported file extensions. However, that list is in random order, for example "jp2 raw ia j2k", which makes it hard to check whether a type is in the list or not.

Reproducible: Always

Steps to Reproduce:
-


Expected Results:  
The list should be ordered either by alphabet or also by type: Raw files, Vector graphics, Bitmaps, etc.
Comment 1 Islam Wazery 2011-12-21 12:15:18 UTC
Created attachment 66971 [details]
Sorted the supported types alphabetically

I added a few lines of code to order the list of types, and I attached a small patch for that.
Comment 2 caulier.gilles 2011-12-21 12:59:29 UTC
Micheal,

There is a patch to review...

Gilles Caulier
Comment 3 Michael G. Hansen 2011-12-21 13:07:34 UTC
Great, looking forward to it ;-)

However, I will only be able to review it starting next week.

Michael
Comment 4 Michael G. Hansen 2011-12-27 15:03:50 UTC
Git commit 80b5d05b196e74bda0ef368200c3f3476ddbe2c1 by Michael Georg Hansen.
Committed on 27/12/2011 at 16:01.
Pushed by mghansen into branch 'master'.

Apply patch by Menopia to fix wishlist bug 283416.

Sort the list of supported MIME-types by alphabet.
Related: bug 283416

M  +2    -1    NEWS
M  +5    -1    libs/database/albumdb.cpp

http://commits.kde.org/digikam/80b5d05b196e74bda0ef368200c3f3476ddbe2c1